namespace DuSoft.PcmDb.Entities;

public partial class Uzytkownik
{
    public decimal UzId { get; set; }

    public string Identyfikator { get; set; } = null!;

    public string Haslo { get; set; } = null!;

    public string Nazwisko { get; set; } = null!;

    public short Aktywny { get; set; }

    public short NrKasjera { get; set; }

    public short? Rola { get; set; }

    public string? KodKasjera { get; set; }

    public short? NrSzuflady { get; set; }

    public decimal? ProfilId { get; set; }

    public decimal? CentrUzId { get; set; }

    public short? Opiekun { get; set; }

    public DateTime? OstZmianaHasla { get; set; }

    public string? Jezyk { get; set; }

    public string? IdentPrepaid { get; set; }

    public string? HasloPrepaid { get; set; }

    public decimal? CentrUzNSId { get; set; }

    public DateTime? Zmiana { get; set; }

    public DateTime? WymusZmianeHasla { get; set; }

    public short? RolaKasjera { get; set; }

    public virtual ICollection<Dok> Dok { get; set; } = new List<Dok>();

    public virtual ICollection<Email> Email { get; set; } = new List<Email>();

    public virtual ICollection<GrupaUz> GrupaUzRola { get; set; } = new List<GrupaUz>();

    public virtual GrupaUz? GrupaUzUz { get; set; }

    public virtual ICollection<Panel> Panel { get; set; } = new List<Panel>();

    public virtual ICollection<PowiazanieUz> PowiazanieUz { get; set; } = new List<PowiazanieUz>();

    public virtual Profil? Profil { get; set; }

    public virtual ICollection<Sesja> Sesja { get; set; } = new List<Sesja>();

    public virtual ICollection<SklepUzytkownik> SklepUzytkownik { get; set; } = new List<SklepUzytkownik>();

    public virtual ICollection<TrescEmail> TrescEmail { get; set; } = new List<TrescEmail>();

    public virtual ICollection<Uprawnienie> Uprawnienie { get; set; } = new List<Uprawnienie>();

    public virtual ICollection<ZdarzOs> ZdarzOs { get; set; } = new List<ZdarzOs>();
}
